Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 1

Name:           nodejs-lazystream
Version:        1.0.0
Release:        alt1_7
Summary:        Create streams lazily when they are read from or written to
License:        MIT
URL:            https://github.com/jpommerening/node-lazystream
Source0:        https://registry.npmjs.org/lazystream/-/lazystream-%{version}.tgz
BuildArch:      noarch

%if 0%{?fedora} >= 19
%else
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(nodeunit)
BuildRequires:  npm(readable-stream)
%endif
Source44: import.info

%description
%{summary}.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/lazystream
cp -pr package.json lib \
    %{buildroot}%{nodejs_sitelib}/lazystream
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
nodeunit test/*_test.js
%endif


%files
%doc README.md
%doc --no-dereference LICENSE-MIT
%{nodejs_sitelib}/lazystream


%changelog
* Fri Mar 29 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_7
- new version

